All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

*** This interface provides Binary Compatibility only, not Source Compatibility ***

## com.sas.services.events.broker.flowengine
Interface ProcessNodeHandlerInterface

All Superinterfaces:
  java.rmi.Remote, ResponseHandlerInterface

    @SASScope(value="ALL")
    @BinaryCompatibilityOnly
    public interface ProcessNodeHandlerInterface

extends ResponseHandlerInterface

Interface to the runtime flowengine for propagating messages from one process node to another.

For more information about the runtime flowengine, refer to its package description.

## Usage

Process node user code will communicate to the runtime flow engine through this interface in order to propagate messages to other nodes in a process flow.

Since:
  1.0

Method Summary
`abstract java.lang.Object` | `getOwningBroker()` Process nodes can obtain the broker that is executing the process flow to which it is associated.
`abstract void` | `propagate(java.lang.String name, MessageInterface output)` Process nodes "plug-ins" propagate their output in a process flow by by specifying the name of the output and the `message` they wish to propagate.

Methods inherited from interface com.sas.services.events.broker.flowengine.ResponseHandlerInterface
`isResponseRequired, log, setResponse, setResponse, setResponse`

Method Detail

### propagate

    void propagate(java.lang.String name,
                   MessageInterface output)
                   throws InvalidOutputException,
                          java.rmi.RemoteException

  Process nodes "plug-ins" propagate their output in a process flow by by specifying the name of the output and the `message` they wish to propagate.

  Parameters:
    `name` - name of output.
    `output` - message to propagate.
  Throws:
    `InvalidOutputException` - If name of message or message itself is invalid.
    `java.rmi.RemoteException`
  See Also:
    `MessageInterface`

### getOwningBroker

    java.lang.Object getOwningBroker()
                                     throws java.rmi.RemoteException

  Process nodes can obtain the broker that is executing the process flow to which it is associated. The returned object should be cast to either a `EventBrokerServiceInterface` if it is desired to fire a new event from the processing node or a `ListenerRegisterInterface` if it desired to listen for a new event.

  Returns:
    owning broker.
  Throws:
    `java.rmi.RemoteException`

*** This interface provides Binary Compatibility only, not Source Compatibility ***

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.